Skip to main content
PATCH
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

inbox_id
string
required

Inbox id (inbox_…)

id
string
required

Thread id

Body

application/json
add_labels

Labels to add. Crevio uses unread (new incoming mail), starred and archived (out of the inbox, still listed) like Gmail; spam and trash hide the mail from lists and search until removed. held can't be changed through the API.

remove_labels

Labels to remove. Removing spam or trash brings the mail back.

Response

Updated

object
string
required
id
string
required
inbox_id
string
required
subject
string | null
required
preview
string | null
required
labels
string[]
required
participants
string[]
required
message_count
integer
required
senders
string[]
required
recipients
string[]
required
last_message_id
string
required
size
integer
required
messages
array
required
last_message_at
string<date-time> | null
required
timestamp
string<date-time>
required
received_timestamp
string<date-time>
required
sent_timestamp
string<date-time>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required